ooo-build r14672 - in branches/ooo-build-3-0: . bin
- From: pmladek svn gnome org
- To: svn-commits-list gnome org
- Subject: ooo-build r14672 - in branches/ooo-build-3-0: . bin
- Date: Mon, 1 Dec 2008 17:46:17 +0000 (UTC)
Author: pmladek
Date: Mon Dec 1 17:46:17 2008
New Revision: 14672
URL: http://svn.gnome.org/viewvc/ooo-build?rev=14672&view=rev
Log:
2008-12-01 Petr Mladek <pmladek suse cz>
* configure.in, download.in, bin/setup.in, bin/unpack:
* bin/applyflags: add --with-unstable-libwpd, --with-unstable-libwps,
--with-unstable-libwpg configure options to make the download,
unpack, apply optional
Modified:
branches/ooo-build-3-0/ChangeLog
branches/ooo-build-3-0/NEWS
branches/ooo-build-3-0/bin/applyflags
branches/ooo-build-3-0/bin/setup.in
branches/ooo-build-3-0/bin/unpack
branches/ooo-build-3-0/configure.in
branches/ooo-build-3-0/download.in
Modified: branches/ooo-build-3-0/NEWS
==============================================================================
--- branches/ooo-build-3-0/NEWS (original)
+++ branches/ooo-build-3-0/NEWS Mon Dec 1 17:46:17 2008
@@ -1,3 +1,24 @@
+ooo-build-3.0.0.3.6:
+
+ + features:
+ + initial support for FSF.hu distribution [KAMI]
+ + bug fixes:
+ + handling of paint fragments [Thorsten]
+ + use kde-open for mailto: URLs [Rene]
+ + can't change text size in merged cells (bnc#437137) [Kohei]
+ + VBA bits:
+ + commandbar submenu fix (bnc#434214, bnc#437157) [Fong]
+# + locale dependant R1C1 formula conversion (bnc#422145) [Kohei]
+ + Win32 bits:
+ + extra dictionaries as an extension [Tor]
+ + localizations:
+ + more Jungarian fixes [Andras]
+ + build bits:
+ + updated scsolver to the snapshot 2008-10-30
+ + support berkdb 4.7 [Andreas]
+ + really allow to disable latex filters (i#93520) [Rene]
+ + updated Gentoo, OxygenOffice, Ubuntu bits (Andreas, KAMI, Chris)
+
ooo-build-3.0.0.3.5:
+ bug fixes:
Modified: branches/ooo-build-3-0/bin/applyflags
==============================================================================
--- branches/ooo-build-3-0/bin/applyflags (original)
+++ branches/ooo-build-3-0/bin/applyflags Mon Dec 1 17:46:17 2008
@@ -29,9 +29,13 @@
if grep localize.sdf $OOBUILDDIR/sw/source/ui/app/localize.sdf > /dev/null 2>&1 ; then
echo -n " --distro=Localize";
fi
+if test "$UNSTABLE_LIBWPD"="YES" ; then
+ echo -n " --distro=UnstableLibwpd";
+fi
if test -n "$OOO_ADDITIONAL_SECTIONS" ; then
echo -n " --additional-sections=$OOO_ADDITIONAL_SECTIONS";
fi
if test "z$PIECE" != "z"; then
echo -n " --pieces --distro=Piece";
fi ;
+
Modified: branches/ooo-build-3-0/bin/setup.in
==============================================================================
--- branches/ooo-build-3-0/bin/setup.in (original)
+++ branches/ooo-build-3-0/bin/setup.in Mon Dec 1 17:46:17 2008
@@ -51,6 +51,10 @@
SYSTEM_LIBWPD= SYSTEM_LIBWPD@
SYSTEM_LIBWPG= SYSTEM_LIBWPG@
SYSTEM_LIBWPS= SYSTEM_LIBWPS@
+UNSTABLE_LIBWPD= UNSTABLE_LIBWPD@
+LIBWPD_TARBALL= LIBWPD_TARBALL@
+LIBWPG_TARBALL= LIBWPG_TARBALL@
+LIBWPS_TARBALL= LIBWPS_TARBALL@
GLITZ_VER= GLITZ_VER@
DEJAVU_FONTS_VER= DEJAVU_FONTS_VER@
DEJAVU_FONTS_PACK_NAME= DEJAVU_FONTS_PACK_NAME@
Modified: branches/ooo-build-3-0/bin/unpack
==============================================================================
--- branches/ooo-build-3-0/bin/unpack (original)
+++ branches/ooo-build-3-0/bin/unpack Mon Dec 1 17:46:17 2008
@@ -703,42 +703,24 @@
fi
if test "$SYSTEM_LIBWPD" != "YES"; then
- LIBWPD_PACKAGE=libwpd-0.8.14.tar.gz
- check_tarball $SRCDIR/$LIBWPD_PACKAGE
+ check_tarball $SRCDIR/$LIBWPD_TARBALL
echo "Copying libwpd package into the tree"
mkdir -p $OOBUILDDIR/libwpd/download || exit 1
- $GNUCP -a $SRCDIR/$LIBWPD_PACKAGE $OOBUILDDIR/libwpd/download/ || exit 1
- LIBWPD_UNSTABLE_PACKAGE=libwpd-0.9.0~CVS20081118.tar.gz
- check_tarball $SRCDIR/$LIBWPD_UNSTABLE_PACKAGE
- echo "Copying unstable libwpd package into the tree"
- mkdir -p $OOBUILDDIR/libwpd/download || exit 1
- $GNUCP -a $SRCDIR/$LIBWPD_UNSTABLE_PACKAGE $OOBUILDDIR/libwpd/download/ || exit 1
+ $GNUCP -a $SRCDIR/$LIBWPD_TARBALL $OOBUILDDIR/libwpd/download/ || exit 1
fi
if test "$SYSTEM_LIBWPS" != "YES"; then
- LIBWPS_PACKAGE=libwps-0.1.2.tar.gz
- check_tarball $SRCDIR/$LIBWPS_PACKAGE
+ check_tarball $SRCDIR/$LIBWPS_TARBALL
echo "Copying libwps package into the tree"
mkdir -p $OOBUILDDIR/libwps/download || exit 1
- $GNUCP -a $SRCDIR/$LIBWPS_PACKAGE $OOBUILDDIR/libwps/download/ || exit 1
- LIBWPS_UNSTABLE_PACKAGE=libwps-0.2.0~CVS20081118.tar.gz
- check_tarball $SRCDIR/$LIBWPS_UNSTABLE_PACKAGE
- echo "Copying unstable libwps package into the tree"
- mkdir -p $OOBUILDDIR/libwps/download || exit 1
- $GNUCP -a $SRCDIR/$LIBWPS_UNSTABLE_PACKAGE $OOBUILDDIR/libwps/download/ || exit 1
+ $GNUCP -a $SRCDIR/$LIBWPS_TARBALL $OOBUILDDIR/libwps/download/ || exit 1
fi
if test "$SYSTEM_LIBWPG" != "YES"; then
- LIBWPG_PACKAGE=libwpg-0.1.3.tar.gz
- check_tarball $SRCDIR/$LIBWPG_PACKAGE
+ check_tarball $SRCDIR/$LIBWPG_TARBALL
echo "Copying libwpg package into the tree"
mkdir -p $OOBUILDDIR/libwpg/download || exit 1
- $GNUCP -a $SRCDIR/$LIBWPG_PACKAGE $OOBUILDDIR/libwpg/download/ || exit 1
- LIBWPG_UNSTABLE_PACKAGE=libwpg-0.2.0~CVS20081118.tar.gz
- check_tarball $SRCDIR/$LIBWPG_UNSTABLE_PACKAGE
- echo "Copying unstable libwpg package into the tree"
- mkdir -p $OOBUILDDIR/libwpg/download || exit 1
- $GNUCP -a $SRCDIR/$LIBWPG_UNSTABLE_PACKAGE $OOBUILDDIR/libwpg/download/ || exit 1
+ $GNUCP -a $SRCDIR/$LIBWPG_TARBALL $OOBUILDDIR/libwpg/download/ || exit 1
fi
if test "$ENABLE_SCSOLVER" = "YES"; then
Modified: branches/ooo-build-3-0/configure.in
==============================================================================
--- branches/ooo-build-3-0/configure.in (original)
+++ branches/ooo-build-3-0/configure.in Mon Dec 1 17:46:17 2008
@@ -169,6 +169,21 @@
--with-system-libwpg Use system libwpg* library
],,)
+AC_ARG_WITH(unstable-libwpd,
+[
+ --with-unstable-libwpd Use new unstable libwpd* library
+],,)
+
+AC_ARG_WITH(unstable-libwps,
+[
+ --with-unstable-libwps Use new unstable libwps* library
+],,)
+
+AC_ARG_WITH(unstable-libwpg,
+[
+ --with-unstable-libwpg Use new unstable libwpg* library
+],,)
+
AC_ARG_ENABLE(cairo,
[
--enable-cairo Enables cairo canvas backend.],
@@ -1193,26 +1208,48 @@
AC_SUBST(MDBTOOLS_SRC)
AC_SUBST(SYSTEM_MDBTOOLS)
+
+UNSTABLE_LIBWPD=NO
if test -n "$with_system_libwpd" && test "$with_system_libwpd" = "yes"; then
SYSTEM_LIBWPD=YES
else
SYSTEM_LIBWPD=NO
+ if test -n "$with_unstable_libwpd" && test "$with_unstable_libwpd" = "yes"; then
+ LIBWPD_TARBALL=libwpd-0.9.0~CVS20081118.tar.gz
+ UNSTABLE_LIBWPD=YES
+ else
+ LIBWPD_TARBALL=libwpd-0.8.14.tar.gz
+ fi
fi
AC_SUBST(SYSTEM_LIBWPD)
+AC_SUBST(UNSTABLE_LIBWPD)
+AC_SUBST(LIBWPD_TARBALL)
if test -n "$with_system_libwps" && test "$with_system_libwps" = "yes"; then
SYSTEM_LIBWPS=YES
else
SYSTEM_LIBWPS=NO
+ if test -n "$with_unstable_libwps" && test "$with_unstable_libwps" = "yes"; then
+ LIBWPS_TARBALL=libwps-0.2.0~CVS20081118.tar.gz
+ else
+ LIBWPS_TARBALL=libwps-0.1.2.tar.gz
+ fi
fi
AC_SUBST(SYSTEM_LIBWPS)
+AC_SUBST(LIBWPS_TARBALL)
if test "$with_system_libwpg" = "yes"; then
SYSTEM_LIBWPG=YES
else
SYSTEM_LIBWPG=NO
+ if test -n "$with_unstable_libwpg" && test "$with_unstable_libwpg" = "yes"; then
+ LIBWPG_TARBALL=libwpg-0.2.0~CVS20081118.tar.gz
+ else
+ LIBWPG_TARBALL=libwpg-0.1.3.tar.gz
+ fi
fi
AC_SUBST(SYSTEM_LIBWPG)
+AC_SUBST(LIBWPG_TARBALL)
AC_MSG_CHECKING([for Sun Professional Template Pack intergration (only supported languages displayed)])
@@ -1477,6 +1514,7 @@
bin/ooinstall <path-to-install>
This is ooo-build-3-0 - the stable branch for the 3.0 release.
+ If you want to use OOo-3.0.1, use the ooo-build-3-0-1 branch.
If you want to build something cool, unstable, and risky, use trunk.
"
Modified: branches/ooo-build-3-0/download.in
==============================================================================
--- branches/ooo-build-3-0/download.in (original)
+++ branches/ooo-build-3-0/download.in Mon Dec 1 17:46:17 2008
@@ -342,18 +342,15 @@
}
if ('@SYSTEM_LIBWPD@' eq 'NO') {
- push @files, ( 'libwpd-0.8.14.tar.gz' );
- push @files, ( 'libwpd-0.9.0~CVS20081118.tar.gz' );
+ push @files, ( '@LIBWPD_TARBALL@' );
}
if ('@SYSTEM_LIBWPS@' eq 'NO') {
- push @files, ( 'libwps-0.1.2.tar.gz' );
- push @files, ( 'libwps-0.2.0~CVS20081118.tar.gz' );
+ push @files, ( '@LIBWPS_TARBALL@' );
}
if ('@SYSTEM_LIBWPG@' eq 'NO') {
- push @files, ( 'libwpg-0.1.3.tar.gz' );
- push @files, ( 'libwpg-0.2.0~CVS20081118.tar.gz' );
+ push @files, ( '@LIBWPG_TARBALL@' );
}
if ('@OOOP_FONTS_PACK@' ne '') {
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]